Oracle OCI - Problems with uploading instantclient to EXAoperation

Lukasz_Obst
Contributor

Hi,

I am having some troubles using Oracle OCI instead of Oracle JDBC. I followed the instructions here (Loading Data from Oracle) but EXAoperation is having issues with the downloaded Oracle Instant Client.

 

First, I find it odd that the message showed in the instructions (compatible version of Oracle instant client) is missing.

14_51_46-EXAoperation_ cluster1.png

So I tried the most recent one and it didn't work. I then tried the second most recent one. Also a fail. I tried all the versions until 12 but all of them failed on submit. Here is the message I am getting:

14_52_09-EXAoperation_ cluster1.pngThe number behind "oracle_upload" is always different, so its not an error code?

 

I am wondering why the checksum verification fails. I tried to unpack it myself and had no troubles.

 

cksum instantclient-basic-linux.x64-21.4.0.0.0dbru.zip
3091282336 79386308 instantclient-basic-linux.x64-21.4.0.0.0dbru.zip

Lukasz_Obst_0-1639492045227.png

 

md5sum instantclient-basic-linux.x64-21.4.0.0.0dbru.zip
df282bc0dd10065205d1871ed465ad70 instantclient-basic-linux.x64-21.4.0.0.0dbru.zip

 

 

Thanks,

Lukasz

1 ACCEPTED SOLUTION

Accepted Solutions

exa-Nico
Community Manager
Community Manager

Hi @Lukasz_Obst  - If the "To enable native Oracle..." message did not pop up, usually it means a file was already uploaded. (In my experience at least). 

The file you need to upload must be instantclient-basic-linux.x64-12.1.0.2.0. Using the latest version won't work. On the Oracle download page, just scroll down until you find the required file

exaNico_0-1639493023252.png

Try uploading that one and let us know if that works.

 

 

Sports Enthusiast. Database Guy. Member of Team Exasol.
Having trouble? Just let me know!

Please Give Kudos if you find this post useful and also mark this as Accepted Solution if this is the required solution

View solution in original post

3 REPLIES 3

exa-Chris
Community Manager
Community Manager

Hi Lukasz,

thanks for finding this, let me check internally with the person who wrote the article.

Rgds

Christian

Connecting Customers, Partners, Prospects and Exasolians is my passion. Apart from that I cycle, listen to music, and try to understand what all those technical discussions really mean...

exa-Nico
Community Manager
Community Manager

Hi @Lukasz_Obst  - If the "To enable native Oracle..." message did not pop up, usually it means a file was already uploaded. (In my experience at least). 

The file you need to upload must be instantclient-basic-linux.x64-12.1.0.2.0. Using the latest version won't work. On the Oracle download page, just scroll down until you find the required file

exaNico_0-1639493023252.png

Try uploading that one and let us know if that works.

 

 

Sports Enthusiast. Database Guy. Member of Team Exasol.
Having trouble? Just let me know!

Please Give Kudos if you find this post useful and also mark this as Accepted Solution if this is the required solution

View solution in original post

Lukasz_Obst
Contributor

Hi @exa-Nico,

the version you provided worked.

 

You also have a point regarding a previous upload of the instantclient. I uploaded a version a couple of days ago. Then we updated our system to a newer Exasol version. After that the message was missing and the instantclient gone.

Lukasz_Obst_0-1639493463753.png

 

 

Before your suggestion:

15_46_13-DBeaver 6.3.4 - _Exasol - 10.150.64.40 exasol_master_ Script - __Remote.png

 

Now (it works):

15_49_27-DBeaver 6.3.4 - _Exasol - 10.150.64.40 exasol_master_ Script - __Remote.png

 

Thanks a lot !